## brltty 4.2

=== debian/changelog ===
brltty (4.2-8ubuntu5.1) oneiric-proposed; urgency=low

  * Comment out the udev rule line for device 10c4:ea60, as it is a generic
    USB serial controller used by many other pieces of hardware (LP: #874181)

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 09 Nov 2011 14:36:27 +1100

brltty (4.2-8ubuntu5) oneiric; urgency=low

  * debian/control: Don't build depend on libatspi-dev, to make sure that
    brltty-x11 doesn't depend on a part of the legacy at-spi stack
    (LP: #828759)

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 29 Aug 2011 15:08:58 +1000

brltty (4.2-8ubuntu4) oneiric; urgency=low

  * Update the udev rules files so they are both in sync, and make sure
    the FDDI serial controller display rules are commented out again
  * Fix branch pointer in gbp.conf
  * Make sure /lib/brltty/brltty.sh is executable in the brltty package

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 11 Aug 2011 16:34:51 +1000

brltty (4.2-8ubuntu3) oneiric; urgency=low

  * Switch to dh_python2. (LP: 788514)

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 14 Jul 2011 17:28:22 -0400

brltty (4.2-8ubuntu2) natty; urgency=low

  * Remove conflict markers from debian/changelog and
    debian/brltty-udeb.init.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Mar 2011 11:35:56 +0000

brltty (4.2-8ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Add brltty-setup, installed in both the udeb and the normal system.
    - Add initramfs integration to run brltty-setup if necessary before
      usplash starts.
    - Add ubiquity integration to propagate any brltty configuration to the
      target system.
    - Add udev rules and /lib/brltty/brltty.sh to the normal (non-udeb)
      package as well.
    - Enable brltty if /etc/default/brltty has RUN_BRLTTY=yes, which is set
      by the installer if brltty is configured; add a NEWS entry for
      upgraders.
    - Don't install /etc/brltty.conf in the package
    - Install udev rules with the same name (85-brltty.rules) in the udeb as
      in the deb.
    - Remove the dh-lisp build-dependency, remove the cl-brlapi package, and
      adjust the brltty package description accordingly. dh-lisp is not
      in main.
    - Build for all python versions (python 2.6), not just the current
      version.
    - Enable brltty at startup on the target system if the alternate installer
      is used.
    - Explicitly include sys/stat.h in Programs/sys_linux.c
    - Create separate rules file for the brltty deb, with the rules now
      pointing to a separate script
    - Add gbp.conf file for git buildpackage

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 24 Feb 2011 12:26:05 +1100

brltty (4.2-8) UNRELEASED; urgency=low

  * debian/brltty-udeb.prebasconfig: do not stop and not setup gconf just
    because no table was specified in kernel parameters.
  * debian/brltty.postinst: Fix typo.
  * debian/control: Build-depend on libespeak-dev, add brltty-espeak package.
  * debian/rules: Remove --without-espeak configure option, install
    libbrlttyses.so

 -- Samuel Thibault <sthibault@debian.org>  Mon, 14 Feb 2011 00:49:23 +0100

brltty (4.2-7) unstable; urgency=low

  * debian/brltty-udeb.init: Call udevadm settle before deciding whether to
    disable the framebuffer or not.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 24 Dec 2010 01:04:27 +0100

brltty (4.2-6) unstable; urgency=low

  * debian/patches/40-silence-offset-warning.patch: New patch to silence
    permanent "input byte missing at offset 14" warnings on clio and esys
    devices, making the console unusable.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 17 Nov 2010 23:58:16 +0100

brltty (4.2-5) unstable; urgency=low

  * debian/patches/30-upstream-table-fixes.patch: Upstream braille tables fixes.
  * debian/brltty-udeb.prebaseconfig: When braille is enabled, enable
    orca in gdm, and accessibility+orca+sounds in the created user session.
  * debian/rules: Move brltty-udeb finish-install script a bit later, after
    users are created.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 10 Nov 2010 23:57:45 +0100

brltty (4.2-4ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Add brltty-setup, installed in both the udeb and the normal system.
    - Add initramfs integration to run brltty-setup if necessary before
      usplash starts.
    - Add ubiquity integration to propagate any brltty configuration to the
      target system.
    - Add udev rules and /lib/brltty/brltty.sh to the normal (non-udeb)
      package as well.
    - Enable brltty if /etc/default/brltty has RUN_BRLTTY=yes, which is set
      by the installer if brltty is configured; add a NEWS entry for
      upgraders.
    - Don't install /etc/brltty.conf in the package
    - Install udev rules with the same name (85-brltty.rules) in the udeb as
      in the deb.
    - Remove the dh-lisp build-dependency, remove the cl-brlapi package, and
      adjust the brltty package description accordingly. dh-lisp is not
      in main.
    - Build for all python versions (python 2.6), not just the current
      version.
    - Enable brltty at startup on the target system if the alternate installer
      is used.
    - Explicitly include sys/stat.h in Programs/sys_linux.c
    - Create separate rules file for the brltty deb, with the rules now
      pointing to a separate script
    - Add gbp.conf file for git buildpackage

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 18 Oct 2010 14:01:37 +1100

brltty (4.2-4) unstable; urgency=medium

  * debian/control: Use Package-Type instead of XC-Package-Type.
  * debian/brltty-udeb.udev.rules: SUBSYSTEM is usb instead of usb_device
    nowadays. Fixes braille autodetection in d-i.
  * Setting urgency to medium to fix RC bug.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Aug 2010 23:09:56 +0200

brltty (4.2-3ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:

