=== debian/control ===
Source: brltty
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
Vcs-Browser: http://git.debian.org/?p=pkg-a11y/brltty.git;a=summary
Vcs-Git: git://git.debian.org/git/pkg-a11y/brltty.git
Homepage: http://mielke.cc/brltty/
Build-Depends: debhelper (>= 7),
               libasound2-dev [linux-any],
               python-all-dev (>= 2.6.6-3~),
               python-pyrex,
               libgpmg1-dev [linux-any],
               libicu-dev,
               default-jdk [!m68k],
               doxygen, linuxdoc-tools, groff,
               flite1-dev, libncursesw5-dev,
               libxaw7-dev, x11proto-kb-dev, libxtst-dev,
               libdbus-1-dev,
               libbluetooth-dev [linux-any],
               libspeechd-dev,
               libespeak-dev
Standards-Version: 3.9.1

Package: brltty
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.40ubuntu30), lsb-base (>= 3.2-14)
Replaces: libbrlapi1 (<< 3.7.2-7.1)
Suggests: brltty-speechd, brltty-x11,
          console-braille
Breaks: udev (<< 136-1)
Description: Access software for a blind person using a braille display
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 The following display models are supported:
  * Alva (ABT3xx, Delphi, Satellite, Braille System 40, BC 640/680)
  * Baum
  * BrailleLite (18, 40, M20/M40)
  * BrailleNote (18/32)
  * EcoBraille displays
  * EuroBraille displays
  * Freedom Scientific (Focus and PacMate)
  * HandyTech displays
  * HIMS (Braille Sense, SyncBraille)
  * LogText 32
  * MDV braille displays
  * Papenmeier
  * Pegasus (20/27/40/80)
  * Seika 40
  * Tieman (Voyager 44/70, CombiBraille, MiniBraille and MultiBraille)
  * Tivomatic (Albatross)
  * TSI (PowerBraille/Navigator)
  * Videobraille
  * VisioBraille
 .
 BRLTTY also provides a client/server based infrastructure for applications
 wishing to utilize a Braille display.  The daemon process listens for incoming
 TCP/IP connections on a certain port.  A shared object library for clients is
 provided in the package libbrlapi0.5.  A static library, header files and
 documentation is provided in package libbrlapi-dev.  Bindings to other
 programming languages can be found in libbrlapi-java (Java) and
 python-brlapi (Python).

Package: libbrlapi0.5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: braille display access via BRLTTY - shared library
 This package contains the shared library necessary to run programs which
 need to communicate with a braille display.

Package: libbrlapi-dev
Architecture: any
Section: libdevel
Depends: libbrlapi0.5 (= ${binary:Version}), ${misc:Depends}
Conflicts: libbrlapi1-dev (<< 3.8)
Description: Library for communication with BRLTTY - static libs and headers
 This package contains the static library libbrlapi.a and header files
 in /usr/include/brltty/ necessary to compile programs for BrlAPI, a
 client-server based mechanism to remotely access a braille display.

Package: libbrlapi-jni
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Java bindings for BrlAPI (native library)
 This package provides the architecture-dependant files required to
 access a braille terminal via BrlAPI from Java.

Package: libbrlapi-java
Architecture: all
Section: java
Depends: libbrlapi-jni (>= ${source:Version}),
         default-jre-headless | java2-runtime-headless, ${misc:Depends}
Description: Java bindings for BrlAPI
 This package provides java classes to access a braille display via BrlAPI.

Package: brltty-flite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
Description: Access software for a blind person - Flite speech driver
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package contains an optional speech driver for the Festival Lite
 speech synthesis engine.

Package: brltty-speechd
Architecture: any
Recommends: speech-dispatcher
Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
Description: Access software for a blind person - Speech Dispatcher driver
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package contains an optional speech driver for the speech-dispatcher
 speech synthesis server.

Package: brltty-espeak
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
Description: Access software for a blind person - espeak driver
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package contains an optional speech driver for the espeak
 speech synthesis engine.

Package: brltty-udeb
Architecture: any
Package-Type: udeb
Section: debian-installer
Depends: ${shlibs:Depends}
Description: Access software for a blind person using a braille display
 This is a small version of brltty, optimized for use on install media.

Package: brltty-x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
Description: Access software for a blind person using a braille display - X11 drivers
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package contains optional drivers which require X11 or GNOME.

Package: python-brlapi
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Python bindings for BrlAPI
 This package provides a Python module to access a braille display.
