## brltty 4.3

=== debian/changelog ===
brltty (4.3-2) unstable; urgency=low

  * debian/patches/fr.po.patch: New patch to fix accents in french
    translations (Closes: #655291).
  * debian/rules: Do not enable hardening in brltty-udeb (saves room).
  * control: Bump Standards-Version to 3.9.3 (no changes).
  * debian/patches/40-esys-64.patch: New patch from upstream to fix support for
    large esys/iris displays.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 27 Feb 2012 03:13:59 +0100

brltty (4.3-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream release.
    - debian/patches/30-upstream-table-fixes.patch: Drop, merged upstream.
    - debian/patches/40-silence-offset-warning.patch: Drop, fixed upstream.
    - debian/patches/50-screen_linux_build.patch: Drop, merged upstream.
    - debian/rules: Help files are now called *.txt. Install localized messages.
    - debian/60xbrlapi: Add script to automatically start xbrlapi on X11 session
    startup.
  * debian/rules: Use dh_python2 instead of dh_pysupport (Closes: #633910).
  * debian/control: Bump dependencies accordingly. Set new XS-Python-Version
    field to 2.7.
  * debian/brltty-udeb.start: New script installed as
    /lib/debian-installer.d/S19brltty, to record in /var/run/brltty-debconf that
    debconf is about to be started with the current framebuffer parameters.
  * debian/brltty-udeb.init: Remove udevadm settle call, and move disabling
    framebuffer to...
  * debian/brltty-udeb.sh: here, but create a
    /lib/debian-installer.d/S20brltty script instead of doing it immediately,
    since debconf might be currently running and about to overwrite the
    database. Last but not least, if /var/run/brltty-debconf exists, kill
    debconf to let it restart without framebuffer (Closes: #611648).
  * debian/brltty-udeb.udev.rules: Add 1fe4:0054 entry.
  * debian/rules: Add build-indep and build-arch targets.
  * debian/rules: Set DEB_BUILD_HARDENING=1 to enable hardening.
  * debian/control:
    - Depend on hardening-check.
    - Build-Conflict with libatspi-dev.
  * debian/rules: Do not build and install atspi driver any more.

  [ Mario Lang ]
  * Fix brace-expansion-in-debhelper-config-file debian/brltty.install
  * debian/initramfs/hooks/brltty: Update for multiarch (Closes: Bug#653587).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 06 Jan 2012 00:41:46 +0100

brltty (4.2-8) unstable; urgency=low

  * debian/brltty-udeb.prebasconfig: do not stop and not setup gconf just
    because no table was specified in kernel parameters.
  * debian/brltty.postinst: Fix typo.
  * debian/control:
    - Build-depend on libespeak-dev, add brltty-espeak package.
    - Bump Standards-Version to 3.9.2 (no change needed)
    - Remove libbrlapi-java dependency on JRE.
  * debian/rules: Remove --without-espeak configure option, install
    libbrlttyses.so
  * debian/brltty-udeb.prebaseconfig: Fix parsing brltty= when not all
    parameters are provided.
  * debian/patches/50-screen_linux_build.patch: Upstream fix for linux screen
    driver build (Closes: #625153).
  * debian/cl-brlapi.postinst, cl-brlapi.prerm: Remove, and drop dh_lisp call
    from debian/control, these are now void.
  * debian/rules: To avoid spurious diffs, remove config.{sub,guess} at clean,
    and copy them from autotools-dev just before configure.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 14 Feb 2011 00:49:23 +0100
