=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: brltty
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/brltty.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-a11y/brltty.git
 Homepage: http://mielke.cc/brltty/
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 7), dh-lisp,
+               autotools-dev,
                libasound2-dev [linux-any],
-               python-all-dev (>= 2.6.6-3~),
+               python-dev (>= 2.7~0),
                python-pyrex,
                libgpmg1-dev [linux-any],
                libicu-dev,
@@ -20,16 +20,18 @@
                libdbus-1-dev,
                libbluetooth-dev [linux-any],
                libspeechd-dev,
-               libespeak-dev
-Standards-Version: 3.9.1
+               libespeak-dev,
+               hardening-wrapper
+Build-Conflicts: libatspi-dev
+Standards-Version: 3.9.3
+XS-Python-Version: 2.7
 
 Package: brltty
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.40ubuntu30), lsb-base (>= 3.2-14)
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14)
 Replaces: libbrlapi1 (<< 3.7.2-7.1)
 Suggests: brltty-speechd, brltty-x11,
           console-braille
-Breaks: udev (<< 136-1)
 Description: Access software for a blind person using a braille display
  BRLTTY is a daemon which provides access to the console (text mode)
  for a blind person using a braille display.  It drives the braille
@@ -60,8 +62,8 @@
  TCP/IP connections on a certain port.  A shared object library for clients is
  provided in the package libbrlapi0.5.  A static library, header files and
  documentation is provided in package libbrlapi-dev.  Bindings to other
- programming languages can be found in libbrlapi-java (Java) and
- python-brlapi (Python).
+ programming languages can be found in cl-brlapi (Lisp), libbrlapi-java (Java)
+ and python-brlapi (Python).
 
 Package: libbrlapi0.5
 Architecture: any
@@ -92,8 +94,7 @@
 Package: libbrlapi-java
 Architecture: all
 Section: java
-Depends: libbrlapi-jni (>= ${source:Version}),
-         default-jre-headless | java2-runtime-headless, ${misc:Depends}
+Depends: libbrlapi-jni (>= ${source:Version}), ${misc:Depends}
 Description: Java bindings for BrlAPI
  This package provides java classes to access a braille display via BrlAPI.
 
@@ -135,7 +136,7 @@
 Architecture: any
 Package-Type: udeb
 Section: debian-installer
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Access software for a blind person using a braille display
  This is a small version of brltty, optimized for use on install media.
 
@@ -149,6 +150,13 @@
  .
  This package contains optional drivers which require X11 or GNOME.
 
+Package: cl-brlapi
+Architecture: all
+Section: lisp
+Depends: ${misc:Depends}, cl-cffi, libbrlapi0.5
+Description: Common Lisp bindings for BrlAPI
+ This package provides a Common Lisp package to access a braille display.
+
 Package: python-brlapi
 Architecture: any
 Section: python
